package com.tmerclub.cloud.product.feign;

import com.tmerclub.cloud.api.product.feign.TakeStockFeignClient;
import com.tmerclub.cloud.product.service.TakeStockService;
import org.apache.dubbo.config.annotation.DubboService;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @author gaozijie
 * @since 2023-12-20
 */
@DubboService
public class TakeStockFeignController implements TakeStockFeignClient {

    @Autowired
    private TakeStockService takeStockService;

    @Override
    public Long countUnFinish(Long warehouseId) {
        return takeStockService.countUnFinish(warehouseId);
    }

    @Override
    public void nullifyByWarehouseId(Long warehouseId) {
        takeStockService.nullifyByWarehouseId(warehouseId);
    }
}
